/* $Id: internal.h,v 0.6 1996/10/13 18:18:30 sverrehu Exp $ */
#ifndef SN_INTERNAL_H
#define SN_INTERNAL_H

#include "shhnet.h"  /* SNPort */

typedef enum {
    CONN_TCP,
    CONN_UDP
} SNConn;

/* internal.c */
extern SNErrorHandling _snErrorHandling;
extern void (*_snErrorPrintf)(const char *format, ...);

SNErr _snCreateSocket(SNConn type, SNPort port, int *sock);
int   _snError(SNErr err, const char *extra);

/* cliopen.c */
SNErr _snCliOpenCommon(SNConn type, const char *host, const char *service,
		       int udpconnect, int *sock);

/* servopen.c */
SNErr _snSrvOpenCommon(SNConn type, const char *service, int *sock);

#endif
